JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
VSTPluginFormat::ExtraFunctions Class Referenceabstract
juce_audio_processors » format_types

Base class for some extra functions that can be attached to a VST plugin instance. More...

`#include <juce_VSTPluginFormat.h>`

## Public Member Functions
virtual | ~ExtraFunctions ()
virtual int64 | getTempoAt (int64 samplePos)=0
| This should return 10000 * the BPM at this position in the current edit.
virtual int | getAutomationState ()=0
| This should return the host's automation state.

## Detailed Description

Base class for some extra functions that can be attached to a VST plugin instance.

## Constructor & Destructor Documentation

## ◆ ~ExtraFunctions()

virtual VSTPluginFormat::ExtraFunctions::~ExtraFunctions | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getTempoAt()

virtual int64 VSTPluginFormat::ExtraFunctions::getTempoAt | ( | int64 | samplePos | ) |
| pure virtual

This should return 10000 * the BPM at this position in the current edit.

## ◆ getAutomationState()

virtual int VSTPluginFormat::ExtraFunctions::getAutomationState | ( |  | ) |
| pure virtual

This should return the host's automation state.

Returns
  0 = not supported, 1 = off, 2 = read, 3 = write, 4 = read/write

The documentation for this class was generated from the following file:

- juce_VSTPluginFormat.h